firefox,3.5/3.6 startup-notification bug

Bug #469752 reported by RagTimE on 2009-11-01
48
This bug affects 8 people
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Fix Released
Medium
firefox (Ubuntu)
Medium
Chris Coulson
Lucid
Medium
Chris Coulson
firefox-3.5 (Suse)
Fix Released
Medium
firefox-3.5 (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

Just upgraded to karmic.

-When I launch firefox the mouse cursor keeps spinning, even after firefox is up and running.
-mouse cursor don't spins when loading websites

Very very annoying. Any fix for this?

CVE References

I had the same problem:

You need to compile Firefox with the startup-notification library.
(--enable-startup-notification)

Voilà! fixed ;)
Bye.

Why are the binary releases not being compiled with --enable-startup-notification?

This is a problem due to some distro's simply repacking the Mozilla release binaries, e.g., Slackware.

Probably that bug could be morphed as apparently startup notification on Linux is broken with Gecko 1.9.1. At least I see it non working with FF3.5 in Gnome and KDE even when built with --enable-startup-notification.

What do other people see?

I never saw it working at least with 1.9.1 on KDE 3.x or 4.x, but I never tried GNOME, all on openSUSE Factory and stable 11.x releases and all with self-compiled builds which have --enable-startup-notification.

It worked with Firefox 3 but not FF3.5.

Bouncing Cursor continues at launch of FF for 25-30 secs
Current work around by changing 30sec Launch Feedback setting to 5 secs.

Mozilla repo (Not beta)
kde4.3 RC1

Confirmed for startup-notification enabled DEs.
Something goes wrong with the startup notification implementation in FF3.5

*** Bug 535488 has been marked as a duplicate of this bug. ***

*** Bug 425934 has been marked as a duplicate of this bug. ***

Created an attachment (id=405030)
patch f(rom Lubos Lunak)

Patch from Lubos Lunak from downstream bug:
https://bugzilla.novell.com/show_bug.cgi?id=518603

"
The patch fixes it - 'toolkit' was NULL at the old place, only created by the
call to 'CreateHiddenWindow'. I guess the patch is safe and correct.
"

Created attachment 321424
mozilla-xulrunner191 patch

This is pretty annoying now that Firefox is the default browser on KDE.

The patch fixes it - 'toolkit' was NULL at the old place, only created by the call to 'CreateHiddenWindow'. I guess the patch is safe and correct.

Note that the patch just fixed the feedback to go away, it doesn't really make it work (e.g. firefox always starts on the active desktop). The code should be probably rewritten as mentioned in the comment for SetUserTimeAndStartupIDForActivatedWindow() in nsWindow.cpp .

(From update of attachment 405030)
Pretty low risk for 1.9.2 and solves an annoying visual behaviour on Linux desktops

Just upgraded to karmic.

-When I launch firefox the mouse cursor keeps spinning, even after firefox is up and running.
-mouse cursor don't spins when loading websites

Very very annoying. Any fix for this?

affects: ubuntu → firefox-3.5 (Ubuntu)
Changed in firefox-3.5 (Ubuntu):
status: New → Incomplete

You can start Firefox in Safe mode to check if your problem is caused by an extension or theme.
If starting in Safe-mode works then disable your extensions (Tools > Add-ons > Extensions) and re-enable them one by one until you find which one is causing it.
Close and restart Firefox after each change.

RagTimE (cragtime) wrote :

hello thank you for your reply
but ... same thing happen with the live cd on 32 & 64 systems
i try it on 3 computers all have the same problem

I had experienced this today and looked into it a little when I found this bug report already here. Disabling all plugins and extensions, this behavior still happens, and I have seen it on every Karmic machine I have tried. To me, it seems to be an issue with startup notification, as eventually the mouse cursor does return to normal (there is a timeout for startup notification) but clearly this is only happening with firefox. I also understand the sentiment of the first reporter who found it annoying.

RagTimE (cragtime) on 2009-11-03
Changed in firefox-3.5 (Ubuntu):
status: Incomplete → Confirmed
Matthew Eaton (powder) wrote :

Thanks for filing this bug report. I am experiencing the same issue on two different computers. It is quite annoying.

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.4) Gecko/20091028 Ubuntu/9.10 (karmic) Firefox/3.5.4

I can confirm this bug on two machines running Ubuntu 9.10 64-bit.

RagTimE (cragtime) on 2009-11-23
Changed in firefox-3.5 (Ubuntu):
assignee: nobody → Andreas Käser (bugs-launchpad-net-ubuntu-firefox)
assignee: Andreas Käser (bugs-launchpad-net-ubuntu-firefox) → Mozilla Bugs (mozilla-bugs)

(From update of attachment 405030)
approval1.9.2 requests aren't currently being monitored, since we're nearing RC freeze and there are too many outstanding requests, so I'm clearing this request. Feel free to re-request approval if you are confident that it's worth drivers' time to consider whether this non-blocker needs to land for 1.9.2 at this stage.

Ok, there is no need to keep it open here I think. Notification works somehow meanwhile while the upstream implementation might still be a bit "buggy".

I filed Bug 534845, for distros build firefox with --enable-startup-notification, you may also want to get it fixed.

If this is not being looked at for 1.9.2 right now just for logistical purposes, can we request for it to go straight into 1.9.1 so our current releases work well with KDE?

(From update of attachment 405030)
requesting approval for next possible release.
(cannot cancel the original one for some reason)

http://www.linuxquestions.org/questions/slackware-14/bouncing-firefox-icon-fixed-770773/

startup notification still missing

distros have build firefox with
--enable-startup-notification, the suse people does that ... https://bugzilla.mozilla.org/show_bug.cgi?id=416053

hopefully ubuntu ² in the next LTS 10.4

this is an mozilla bug ... https://bugzilla.mozilla.org/show_bug.cgi?id=416053

Target Milestone: mozilla1.9.3 :(

RagTimE (cragtime) on 2010-02-16
summary: - [karmic] final, when launching firefox, mouse cursor spins forever
+ [karmic] final, firefox, startup notification still missing

It's a bug in firefox!

This bug is fixed in firefox 3.7.

Firefox 3.6 need to be patched, already done in archlinux:

http://repos.archlinux.org/wsvn/packages/xulrunner/trunk/startup-notification.patch

RagTimE (cragtime) on 2010-02-24
summary: - [karmic] final, firefox, startup notification still missing
+ firefox,3.5/3.6 startup-notification bug
Cédric Bellegarde (gnumdk) wrote :

Ubuntu LTS 10.04 need this patch, firefox is a central software and having mouse pointer waiting is really bad IMO

Matthew Eaton (powder) wrote :

I can confirm this is fixed in 3.7 and would also like to see 3.6 patched for 10.04.

Micah Gersten (micahg) wrote :

Thanks for reporting this bug and any supporting documentation. Since this bug has enough information provided for a developer to begin work, therefore, I'm going to mark it as Triaged. Thanks for taking the time to make Ubuntu better! Please report any other issues you may find.

Changed in firefox:
milestone: none → 3.7
Changed in firefox-3.5 (Ubuntu):
assignee: Mozilla Bugs (mozilla-bugs) → Micah Gersten (micahg)
importance: Undecided → Medium
milestone: none → ubuntu-10.04-beta-2
status: Confirmed → Triaged
Micah Gersten (micahg) on 2010-03-11
Changed in firefox-3.5 (Ubuntu):
milestone: ubuntu-10.04-beta-2 → none
assignee: Micah Gersten (micahg) → nobody
Changed in firefox (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → Medium
milestone: none → ubuntu-10.04-beta-2
status: New → Triaged
Changed in firefox:
status: Unknown → Fix Released
Martin Pitt (pitti) wrote :

Closing 3.5 task for lucid, since we have 3.6 now.

Changed in firefox-3.5 (Ubuntu Lucid):
status: Triaged → Invalid
RagTimE (cragtime) wrote :

@Martin Pitt this bug is still in 3.6 the fix from mozilla comes with 3.7 we need to patch 3.6 for lucid

Micah Gersten (micahg) on 2010-04-01
Changed in firefox (Ubuntu Lucid):
assignee: Micah Gersten (micahg) → Chris Coulson (chrisccoulson)

(From update of attachment 405030)
a=beltzner for 1.9.2.4

You need to fix Bug 534845 on 1.9.2 branch to make restart situation work.

Micah Gersten (micahg) on 2010-04-07
Changed in firefox:
milestone: 3.7 → 3.6.4
Steve Langasek (vorlon) wrote :

This bug was targeted to beta2 back on March 10; there've been a few uploads since then, including one on April 9 - are we still waiting for an upstream backport of the fix?

Changed in firefox (Ubuntu Lucid):
milestone: ubuntu-10.04-beta-2 → ubuntu-10.04
Changed in firefox (Ubuntu Lucid):
milestone: ubuntu-10.04 → lucid-updates
RagTimE (cragtime) wrote :

any progress ?

Chris Coulson (chrisccoulson) wrote :

Yes, this is fixed in 3.6.4 which will be the first security update in Lucid

Changed in firefox (Ubuntu Lucid):
status: Triaged → Fix Committed
Blue (vali-dragnuta) wrote :

This issue still exist in Ubuntu Lucid.
Any idea when the fix will be available in updates ?

RagTimE (cragtime) wrote :

waiting for the fix have we an release date or scale ?

RagTimE (cragtime) wrote :

hello i have Mozilla/5.0 (X11; U; Linux x86_64; de; rv:1.9.2.4) Gecko/20100528 Ubuntu/10.04 (lucid) Firefox/3.6.4
installed and still the same problem :( bug is not fixed

Sant (sant) wrote :

While this issue is not fixed, there is a workaround:
http://ubuntuforums.org/showthread.php?t=1308155

On Wed, 2010-06-02 at 22:10 +0000, RagTimE wrote:
> hello i have Mozilla/5.0 (X11; U; Linux x86_64; de; rv:1.9.2.4) Gecko/20100528 Ubuntu/10.04 (lucid) Firefox/3.6.4
> installed and still the same problem :( bug is not fixed
>
> --
> firefox,3.5/3.6 startup-notification bug
> https://bugs.launchpad.net/bugs/469752
> You received this bug notification because you are a member of Mozilla
> Bugs, which is subscribed to firefox in ubuntu.
>
Is this the version in the ubuntu-mozilla-security PPA? I suspect it
still isn't working because we aren't building with
--enable-startup-notification. I'll try this on Monday, but if that's
the reason it isn't working then we might have to wait until 3.6.5 to
fix it in Lucid, depending on when 3.6.4 is released officially by
Mozilla. I'm reluctant to switch on a feature now and risk it being
exposed to hardly any testing before we copy it to the official archive
(which might only be a couple of days away).

RagTimE (cragtime) wrote :

@Chris Coulson thank you for your statement!
-and yes you are right I am using the version from ubuntu-mozilla-security PPA

one question is thunderbird using the same components ?
-here is the same problem with startup-notification

i am using Firefox & Thunderbird hopefully we can geht this fixed in LTS 10.4 maybe first snapshot would be nice

Chris Coulson (chrisccoulson) wrote :

On Sat, 2010-06-05 at 23:56 +0000, RagTimE wrote:
> @Chris Coulson thank you for your statement!
> -and yes you are right I am using the version from ubuntu-mozilla-security PPA
>
> one question is thunderbird using the same components ?
> -here is the same problem with startup-notification
>
> i am using Firefox & Thunderbird hopefully we can geht this fixed in LTS
> 10.4 maybe first snapshot would be nice
>
As we've still got a window in which we can do some testing, I've
uploaded a version with the startup notification enabled. It will take a
couple of hours or so to build, but please test and provide feedback
here

Thanks
Chris

RagTimE (cragtime) wrote :

Hello revision 601 / version Mozilla/5.0 (X11; U; Linux x86_64; de; rv:1.9.2.4) Gecko/20100608 Ubuntu/10.04 (lucid) Firefox/3.6.4
is working great :) from the ubuntu-mozilla-security PPA

Thunderbird3 in lucid is having the same problem should i open a new bug report / or link here ?

regards and Thanks

Scott Talbert (swt-techie) wrote :

Running the 3.6.4 version from the PPA. It does indeed resolve the startup notification issue. Will continue to use it as my production browser to see if there are any other issues with it.

Scott

Chris Coulson (chrisccoulson) wrote :

Thanks for testing, I'll keep this switched on for the proper update then

Changed in firefox (Ubuntu):
milestone: lucid-updates → maverick-alpha-2
Scott Talbert (swt-techie) wrote :

3.6.4 version from the PPA continues to run fine for me.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 3.6.4+build7+nobinonly-0ubuntu1

---------------
firefox (3.6.4+build7+nobinonly-0ubuntu1) maverick; urgency=low

  * New upstream release v3.6.4 (FIREFOX_3_6_4_BUILD7)

  [ Micah Gersten <email address hidden> ]
  * Rebase patch after upstream landing of Lorentz branch
    - update debian/patches/bz460917_att350845_reload_new_plugins.patch
  * Drop patch after upstream landing of (bmo: 544481) aka
    Build fails on Ubuntu Lucid Lynx using 'dash' shell
    - drop debian/patches/fix-build-glitch.patch
    - update debian/patches/series

  [ Jamie Strandboge <email address hidden> ]
  * AppArmor:
    - allow ixr access to /usr/lib/xulrunner-*/plugin-container for xul builds
    - finetune Adobe Reader access (LP: #570337)
    - silence noisy denial on /boot/vmlinuz* and /boot/initrd.img* caused by
      readlinking symlinks in / (LP: #571761)
    - allow 'm' for java's 'classes.jsa' file (LP: #574459)
    - transition to firefox_java on Sun's jre/bin/java_vm too (LP: #570128)
    - allow Uxr for gnome-codec-install (LP: #577097)

  [ Chris Coulson <email address hidden> ]
  * Rebase patches for 3.6.4 release
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/add_syspref_dir.patch
  * Build with --enable-ipc on amd64, i386 and armel. These are the only
    architectures where OOPP is supported. Build with --disable-ipc on all
    other architectures
    - update debian/rules
  * Fix LP: #513887 - Install the plugin-container binary for OOPP support
    when building with --enable-ipc
    - update debian/rules
  * Fix build failure with fontconfig 2.5
    - update debian/patches/lp512615_cairo_lcd_filter.patch
  * Fix LP: #469752 - KDE/Gnome startup notification not disappearing
    when app window is up - build with --enable-startup-notification
    - update debian/rules
 -- Chris Coulson <email address hidden> Wed, 23 Jun 2010 15:31:44 +0100

Changed in firefox (Ubuntu):
status: Fix Committed → Fix Released

Hello,

the fix "3.6.4+build7+nobinonly-0ubuntu1" solved the firefox problem for me too (Kubuntu 10.04). Now I'm looking for a fix for thunderbird 3.04, which is having the same problem. Could you please be so kind to apply the same patch to this program too.
Many thanks in advance.

RagTimE (cragtime) wrote :

hello @Marcus Rausch yes firefox is ok solved BUT ... Thunderbird

-in thunderbird 3.1 is this fixed ! tested from daily/ppa ... but in lucid we have 3.0.5 an this version needs a patch or upgrade

Changed in thunderbird:
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox - 3.6.6+nobinonly-0ubuntu0.10.04.1

---------------
firefox (3.6.6+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v3.6.6 (FIREFOX_3_6_6_RELEASE)
    - see USN-930-1

  [ Micah Gersten <email address hidden> ]
  * Rebase patch after upstream landing of Lorentz branch
    - update debian/patches/bz460917_att350845_reload_new_plugins.patch
  * Drop patch after upstream landing of (bmo: 544481) aka
    Build fails on Ubuntu Lucid Lynx using 'dash' shell
    - drop debian/patches/fix-build-glitch.patch
    - update debian/patches/series

  [ Jamie Strandboge <email address hidden> ]
  * Apparmor:
    - allow ixr access to /usr/lib/xulrunner-*/plugin-container for xul builds
    - finetune Adobe Reader access (LP: #570337)
    - silence noisy denial on /boot/vmlinuz* and /boot/initrd.img* caused by
      readlinking symlinks in / (LP: #571761)
    - allow 'm' for java's 'classes.jsa' file (LP: #574459)
    - transition to firefox_java on Sun's jre/bin/java_vm too (LP: #570128)
    - allow Uxr for gnome-codec-install (LP: #577097)

  [ Chris Coulson <email address hidden> ]
  * Rebase patches for 3.6.4 release
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/add_syspref_dir.patch
  * Build with --enable-ipc on amd64, i386 and armel. These are the only
    architectures where OOPP is supported. Build with --disable-ipc on all
    other architectures
    - update debian/rules
  * Fix LP: #513887 - Install the plugin-container binary for OOPP support
    when building with --enable-ipc
    - update debian/rules
  * Fix LP: #469752 - KDE/Gnome startup notification not disappearing
    when app window is up - build with --enable-startup-notification
    - update debian/rules
 -- Chris Coulson <email address hidden> Mon, 28 Jun 2010 12:46:36 +0100

Changed in firefox (Ubuntu Lucid):
status: Fix Committed → Fix Released
RagTimE (cragtime) on 2010-07-03
Changed in thunderbird:
assignee: nobody → Micah Gersten (micahg)
Micah Gersten (micahg) wrote :

We'll use bug 594280 to track this for thunderbird.

Changed in thunderbird:
assignee: Micah Gersten (micahg) → nobody
affects: thunderbird → lqueue
affects: lqueue → null
Changed in firefox:
importance: Unknown → Medium
Changed in firefox-3.5 (Suse):
importance: Unknown → Medium
status: Unknown → Fix Released
Curtis Hovey (sinzui) on 2011-11-11
no longer affects: null
Download full text (7.2 KiB)

openSUSE-SU-2014:1100-1: An update that fixes 475 vulnerabilities is now available.

Category: security (important)
Bug References: 104586,354469,385739,390992,417869,41903,429179,439841,441084,455804,484321,503151,518603,527418,528406,529180,542809,559819,576969,582276,586567,593807,603356,622506,637303,642502,645315,649492,657016,664211,667155,689281,701296,712224,714931,720264,726758,728520,732898,733002,737533,744275,746616,747328,749440,750044,755060,758408,765204,771583,777588,783533,786522,790140,796895,804248,808243,813026,819204,825935,833389,840485,847708,854370,861847,868603,875378,876833,881874,887746,894201,894370
CVE References: CVE-2007-3089,CVE-2007-3285,CVE-2007-3656,CVE-2007-3670,CVE-2007-3734,CVE-2007-3735,CVE-2007-3736,CVE-2007-3737,CVE-2007-3738,CVE-2008-0016,CVE-2008-1233,CVE-2008-1234,CVE-2008-1235,CVE-2008-1236,CVE-2008-1237,CVE-2008-3835,CVE-2008-4058,CVE-2008-4059,CVE-2008-4060,CVE-2008-4061,CVE-2008-4062,CVE-2008-4063,CVE-2008-4064,CVE-2008-4065,CVE-2008-4066,CVE-2008-4067,CVE-2008-4068,CVE-2008-4070,CVE-2008-5012,CVE-2008-5014,CVE-2008-5016,CVE-2008-5017,CVE-2008-5018,CVE-2008-5021,CVE-2008-5022,CVE-2008-5024,CVE-2008-5500,CVE-2008-5501,CVE-2008-5502,CVE-2008-5503,CVE-2008-5506,CVE-2008-5507,CVE-2008-5508,CVE-2008-5510,CVE-2008-5511,CVE-2008-5512,CVE-2009-0040,CVE-2009-0771,CVE-2009-0772,CVE-2009-0773,CVE-2009-0774,CVE-2009-0776,CVE-2009-1571,CVE-2009-3555,CVE-2010-0159,CVE-2010-0173,CVE-2010-0174,CVE-2010-0175,CVE-2010-0176,CVE-2010-0182,CVE-2010-0654,CVE-2010-1121,CVE-2010-1196,CVE-2010-1199,CVE-2010-1200,CVE-2010-1201,CVE-2010-1202,CVE-2010-1203,CVE-2010-1205,CVE-2010-1211,CVE-2010-1212,CVE-2010-1213,CVE-2010-1585,CVE-2010-2752,CVE-2010-2753,CVE-2010-2754,CVE-2010-2760,CVE-2010-2762,CVE-2010-2764,CVE-2010-2765,CVE-2010-2766,CVE-2010-2767,CVE-2010-2768,CVE-2010-2769,CVE-2010-3166,CVE-2010-3167,CVE-2010-3168,CVE-2010-3169,CVE-2010-3170,CVE-2010-3173,CVE-2010-3174,CVE-2010-3175,CVE-2010-3176,CVE-2010-3178,CVE-2010-3179,CVE-2010-3180,CVE-2010-3182,CVE-2010-3183,CVE-2010-3765,CVE-2010-3768,CVE-2010-3769,CVE-2010-3776,CVE-2010-3777,CVE-2010-3778,CVE-2011-0053,CVE-2011-0061,CVE-2011-0062,CVE-2011-0069,CVE-2011-0070,CVE-2011-0072,CVE-2011-0074,CVE-2011-0075,CVE-2011-0077,CVE-2011-0078,CVE-2011-0080,CVE-2011-0081,CVE-2011-0083,CVE-2011-0084,CVE-2011-0085,CVE-2011-1187,CVE-2011-2362,CVE-2011-2363,CVE-2011-2364,CVE-2011-2365,CVE-2011-2371,CVE-2011-2372,CVE-2011-2373,CVE-2011-2374,CVE-2011-2376,CVE-2011-2377,CVE-2011-2985,CVE-2011-2986,CVE-2011-2987,CVE-2011-2988,CVE-2011-2989,CVE-2011-2991,CVE-2011-2992,CVE-2011-3000,CVE-2011-3001,CVE-2011-3005,CVE-2011-3026,CVE-2011-3062,CVE-2011-3101,CVE-2011-3232,CVE-2011-3648,CVE-2011-3650,CVE-2011-3651,CVE-2011-3652,CVE-2011-3654,CVE-2011-3655,CVE-2011-3658,CVE-2011-3659,CVE-2011-3660,CVE-2011-3661,CVE-2011-3663,CVE-2012-0441,CVE-2012-0442,CVE-2012-0443,CVE-2012-0444,CVE-2012-0445,CVE-2012-0446,CVE-2012-0447,CVE-2012-0449,CVE-2012-0451,CVE-2012-0452,CVE-2012-0455,CVE-2012-0456,CVE-2012-0457,CVE-2012-0458,CVE-2012-0459,CVE-2012-0460,CVE-2012-0461,CVE-2012-0462,CVE-2012-0463,CVE-2012-0464,CVE-2012-0467,CVE-2012-0468,CVE-2012-0469,CVE-2012-0470,CVE-2012-0471,CVE-2012-0472,CVE-2012-0473,C...

Read more...

This is an autogenerated message for OBS integration:
This bug (518603) was mentioned in
https://build.opensuse.org/request/show/22252 Factory / mozilla-xulrunner191
https://build.opensuse.org/request/show/22482 Factory / MozillaThunderbird

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.